Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
Terminal Attributes Input Mode Constants

## Variables
const | Qore::BRKINT = BRKINT
| map BREAK to SIGINTR
const | Qore::ICRNL = ICRNL
| map CR to NL (ala CRMOD)
const | Qore::IGNBRK = IGNBRK
| ignore BREAK condition
const | Qore::IGNCR = IGNCR
| ignore CR
const | Qore::IGNPAR = IGNPAR
| ignore (discard) parity errors
const | Qore::IMAXBEL = IMAXBEL
| ring bell on input queue full
const | Qore::INLCR = INLCR
| map NL into CR
const | Qore::INPCK = INPCK
| enable checking of parity errors
const | Qore::ISTRIP = ISTRIP
| strip 8th bit off chars
const | Qore::IXANY = IXANY
| any char will restart after stop
const | Qore::IXOFF = IXOFF
| enable input flow control
const | Qore::IXON = IXON
| enable output flow control
const | Qore::PARMRK = PARMRK
| mark parity and framing errors

## Detailed Description

If any of the constants in this group is not defined on the host system, then it will be assigned to 0 in Qore.